%global pypi_name recaptcha-client

Name:           python-%{pypi_name}
Version:        1.0.6
Release:        %mkrel 16
Group:          Development/Python
Summary:        A plugin for reCAPTCHA and reCAPTCHA Mailhide

License:        MIT
URL:            https://pypi.org/project/%{pypi_name}
Source0:        https://files.pythonhosted.org/packages/source/r/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch

%description
A plugin for reCAPTCHA and reCAPTCHA Mailhide.

%package -n python3-%{pypi_name}
Summary:        A plugin for reCAPTCHA and reCAPTCHA Mailhide
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description -n python3-%{pypi_name}
A plugin for reCAPTCHA and reCAPTCHA Mailhide.

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%{python3_sitelib}/recaptcha_client*
%{python3_sitelib}/recaptcha/client/


%changelog
* Wed Mar 23 2022 umeabot <umeabot> 1.0.6-16.mga9
+ Revision: 1823412
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 mrambo3501 <mrambo3501> 1.0.6-15.mga9
+ Revision: 1783115
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 1.0.6-14.mga9
+ Revision: 1733070
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.0.6-13.mga8
+ Revision: 1532279
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 daviddavid <daviddavid> 1.0.6-12.mga8
+ Revision: 1442347
- rebuild for python3.8
- drop python2 support

* Thu Jan 10 2019 shlomif <shlomif> 1.0.6-11.mga7
+ Revision: 1354213
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.0.6-10.mga7
+ Revision: 1289992
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.0.6-9.mga7
+ Revision: 1135603
- Rebuild for python 3.6

* Fri Feb 19 2016 umeabot <umeabot> 1.0.6-8.mga6
+ Revision: 970862
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 daviddavid <daviddavid> 1.0.6-7.mga6
+ Revision: 888644
- rebuild for python 3.5
- use new python macros

* Wed Oct 15 2014 umeabot <umeabot> 1.0.6-6.mga5
+ Revision: 746120
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0.6-5.mga5
+ Revision: 729624
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0.6-4.mga5
+ Revision: 688303
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1.0.6-3.mga5
+ Revision: 628986
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.0.6-2.mga4
+ Revision: 546138
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 neoclust <neoclust> 1.0.6-1.mga4
+ Revision: 502218
- imported package python-recaptcha-client

